<?php
/**
 * Customizer default options
 *
 * @package Theme Palace
 * @subpackage Yule
 * @since Yule 1.0.0
 * @return array An array of default values
 */

function yule_get_default_theme_options() {
	$yule_default_options = array(
		// Color Options
		'header_txt_logo_extra'    => 'show-all',
		
		// loader
		'loader_enable'            => false,
		
		// layout 
		'sidebar_position'         => 'right-sidebar',
		'post_sidebar_position'    => 'right-sidebar',
		'page_sidebar_position'    => 'right-sidebar',
		
		// excerpt options
		'long_excerpt_length'      => 25,
		'read_more_text'           => esc_html__( 'Read More', 'yule' ),
		
		// pagination options
		'pagination_enable'        => true,
		'pagination_type'          => 'default',
		
		// footer options
		'scroll_top_visible'       => true,
		
		// reset options
		'reset_options'            => false,
		
		// homepage options
		'enable_frontpage_content' => true,
		
		// blog/archive options
		'your_latest_posts_title'  => esc_html__( 'Blogs', 'yule' ),
		
		// Popular options.
		'popular_section_enable'   => false,
		'popular_content_type'     => 'page',
		
		// Latest options
		'latest_section_title'     => esc_html__( 'Latest Products', 'yule' ),

		// Call to action
		'cta_section_enable'		=> false,
		'cta_btn_label'				=> esc_html__( 'Know More', 'yule' ),
		
	);

	$output = apply_filters( 'yule_default_theme_options', $yule_default_options );

	// Sort array in ascending order, according to the key:
	if ( ! empty( $output ) ) {
		ksort( $output );
	}

	return $output;
}