<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage Yule
 * @since Yule 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'yule_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','yule' ),
	'description'       => esc_html__( 'Archive section options.', 'yule' ),
	'panel'             => 'yule_theme_options_panel',
) );

// Your latest posts title setting and control.
$wp_customize->add_setting( 'yule_theme_options[your_latest_posts_title]', array(
	'default'           => $options['your_latest_posts_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'yule_theme_options[your_latest_posts_title]', array(
	'label'             => esc_html__( 'Your Latest Posts Title', 'yule' ),
	'description'       => esc_html__( 'This option only works if Static Front Page is set to "Your latest posts."', 'yule' ),
	'section'           => 'yule_archive_section',
	'type'				=> 'text',
) );