<?php
/**
 * Latest section
 *
 * This is the template for the content of popular section
 *
 * @package Theme Palace
 * @subpackage Yule
 * @since 1.0.0
 */
if ( ! function_exists( 'yule_add_latest_section' ) ) :
    /**
    * Add popular section
    *
    *@since Yule 1.0.0
    */
    function yule_add_latest_section() { 
        $options = yule_get_theme_options();
        ?>
        <div id="yule_latest_section" class="relative page-section">
            <div id="latest-products">
                <div class="wrapper">
                    <div class="section-header clear">
                        <?php if ( ! empty( $options['latest_section_title'] ) ) : ?>
                            <h2 class="section-title"><?php echo esc_html( $options['latest_section_title'] ); ?></h2>
                        <?php endif; 

                        $shop_page_id = get_option( 'woocommerce_shop_page_id' );

                        if ( $shop_page_id ) : ?>
                            <div class="more-link">
                                <a href="<?php the_permalink( $shop_page_id ); ?>" class="btn btn-default"><?php esc_html_e( 'View All Products', 'yule' ); ?></a>
                            </div>
                        <?php endif; ?>
                    </div><!-- .section-header -->

                    <div class="section-content">
                        <ul class="products col-3">
                            <?php 
                            $query = new WP_Query( 
                                array( 
                                    'post_type' => 'product', 
                                    'posts_per_page' => 6 
                                ) 
                            );

                            while ( $query->have_posts() ) : $query->the_post();  

                                wc_get_template_part( 'content', 'product' ); 
                                
                            endwhile; // end of the loop.

                            wp_reset_postdata(); ?>
                        </ul>
                    </div><!-- .section-content -->
                    <?php if ( $shop_page_id ) : ?>
                        <div class="more-link">
                            <a href="<?php the_permalink( $shop_page_id ); ?>" class="btn btn-default"><?php esc_html_e( 'View All Products', 'yule' ); ?></a>
                        </div>
                    <?php endif; ?>
                </div><!-- .wrapper -->
            </div><!-- #latest-products -->
        </div>
   

<?php
}
endif;
add_action( 'yule_primary_content', 'yule_add_latest_section', 20 );