<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Yule
 * @since Yule 1.0.0
 */

get_header(); 
if ( true === apply_filters( 'yule_filter_frontpage_content_enable', true ) ) : 
?>
	<div id="page-header" class="relative">
        <div class="wrapper">
            <header class="page-header">
                <h1 class="page-title">
                	<?php echo esc_html( single_post_title() );?>
                </h1>
            </header><!-- .page-header -->
        </div><!-- .wrapper -->
    </div><!--#header-image -->
    
	<div id="inner-content-wrapper" class="page-section">
	    <div class="wrapper">
			<div id="primary" class="content-area">
				<main id="main" class="site-main" role="main">

					<?php
					while ( have_posts() ) : the_post();

						get_template_part( 'template-parts/content', 'page' );

						// If comments are open or we have at least one comment, load up the comment template.
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;

					endwhile; // End of the loop.
					?>

				</main><!-- #main -->
			</div><!-- #primary -->
			<?php 
			if ( yule_is_sidebar_enable() ) {
				get_sidebar();
			} ?>
		</div>
	</div>
<?php
endif;

get_footer();
