<?php
/**
 * Template part for displaying results in search pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Yule
 * @since Yule 1.0.0
 */
$options = yule_get_theme_options();

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

		<?php if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php yule_posted_on(); ?>
		</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->
	<div class="more-link">
        <a href="<?php echo esc_url( get_permalink() ); ?>" class="btn btn-default"><?php echo esc_html( $options['read_more_text'] ); ?></a>
    </div>

	<footer class="entry-footer">
		<?php yule_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
