<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Yule
 * @since Yule 1.0.0
 */

$options = yule_get_theme_options();
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php if ( has_post_thumbnail() ) : ?>
		<div class="featured-image">
	        <a href="<?php echo esc_url( get_permalink() ); ?>">
	        	<?php the_post_thumbnail( 'full', array( 'alt' => the_title_attribute( 'echo=0' ) ) ); ?>
	        </a>
	    </div><!-- .featured-image -->
	<?php endif; ?>
    <div class="entry-container">
		<header class="entry-header">
			<?php
			if ( is_single() ) :
				the_title( '<h1 class="entry-title">', '</h1>' );
			else :
				the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
			endif;
			?>
			
		</header><!-- .entry-header -->

		<div class="entry-content">
			<?php the_excerpt(); ?>
		</div><!-- .entry-content -->

		<div class="more-link">
            <a href="<?php echo esc_url( get_permalink() ); ?>" class="btn btn-default"><?php echo esc_html( $options['read_more_text'] ); ?></a>
        </div>
    </div><!-- .entry-container -->

</article><!-- #post-## -->
